# 项目相关配置1
ruoyi:
  # 名称
  name: dgtly_oneportal
  # 版本
  version: 4.0.0
  # 版权年份
  copyrightYear: 2019
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: D:/dgtly/uploadPath
  # 获取ip地址开关
  addressEnabled: true
  #是否开启swagger
  openSwagger: true
#接口安全验证
security:
  #接口过期时间
  apiTimeOut: 50
  #接口的plat和对应的AppKey 支持多个用，号分割
  platMap: "{steelfurniture:'cd72c223-923f-44a3-aede-b9f07dcd56b8'}"
  #开发模式下 可以使用swagger测试 放过验签环节
  isDev: true


# 开发环境配置
server:
  # 服务器的HTTP端口，默认为80
  port: 8888
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30
 
# 日志配置
logging:
  level:
    com.dgtly: debug
    org.springframework: warn
# Spring配置
spring:
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  profiles:
    include: dev-druid
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  10MB
       # 设置总上传的文件大小
       max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
# MyBatis
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.dgtly.**.domain
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mapper/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml
